Announcement Announcement Module
Collapse
No announcement yet.
Spring-integration-ws problems Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Spring-integration-ws problems

    I used spring-integration-ws version 2.1.3.RELEASE, and spring 3.0.7.RELEASE in my project(in osgi environment), everything went well. But we I want to upgrade spring to 3.1.2.RELEASE, spring-integration-ws cannot work anymore.

    I check MANIFEST.MF of spring-integration-ws, and find spring-integration-ws can import all spring stuff from version 3.0.5 to 4.0.0, but can only import spring-oxm stuff from 1.5.9 to 3.1.0. This cause spring-integration-ws failed to start.

    Is there someone knows why spring-integration-ws can only use spring-oxm under version 3.1.0?

  • #2
    It looks like this was a mistake made when oxm moved from the spring-ws project to the core (spring-oxm).

    Please open a JIRA issue https://jira.springsource.org/browse/INT and we'll fix it in 2.1.5.

    Comment


    • #3
      https://jira.springsource.org/browse/INT-2814

      Comment

      Working...
      X